package com.zanxiang.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-06-09
 * @description : 账号状态枚举
 */
@Getter
@AllArgsConstructor
public enum AccountStatusEnum {

    /**
     * 密码加密盐值
     */
    TRY_PLAY_STATUS(1, "试玩状态"),

    /**
     * 正常状态
     */
    NORMAL_STATUS(2, "正常状态"),

    /**
     * 冻结状态
     */
    FROZEN_STATUS(-1, "冻结状态");

    /**
     * 盐值
     */
    private Integer status;

    /**
     * 描述
     */
    private String describe;
}
