package com.zanxiang.sdk.controller;

import com.zanxiang.common.domain.ResultMap;
import com.zanxiang.sdk.common.annotation.ValidLogin;
import com.zanxiang.sdk.domain.params.PlatformOrderParam;
import com.zanxiang.sdk.domain.params.UserData;
import com.zanxiang.sdk.service.PlatformOrderService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author xufeng
 * @date 2022/6/17 17:07
 */
@Api(tags = "支付公共入口")
@RestController
@RequestMapping(value = "/order")
public class OrderController {
    @Autowired
    private PlatformOrderService orderService;

    @ApiOperation(value = "订单生成")
    @GetMapping(value = "/create")
    public ResultMap create(@ValidLogin UserData user, @RequestBody PlatformOrderParam order) {
//        orderService.create();
//        return ResultVo.fail("111");
        return null;
    }
}
